FLANG

Public Member Functions | Friends | List of all members
Fortran::parser::CharBlock Class Reference

## Public Member Functions
constexpr | CharBlock (const char *x, std::size_t n=1)
constexpr | CharBlock (const char *b, const char *ep1)
| CharBlock (const std::string &s)
constexpr | CharBlock (const CharBlock &)=default
constexpr | CharBlock (CharBlock &&)=default
constexpr CharBlock & | operator= (const CharBlock &)=default
constexpr CharBlock & | operator= (CharBlock &&)=default
constexpr bool | empty () const
constexpr std::size_t | size () const
constexpr const char * | begin () const
constexpr const char * | end () const
constexpr const char & | operator[] (std::size_t j) const
bool | Contains (const CharBlock &that) const
void | ExtendToCover (const CharBlock &that)
char | FirstNonBlank () const
bool | IsBlank () const
std::string | ToString () const
std::string | NULTerminatedToString () const
bool | operator< (const CharBlock &that) const
bool | operator<= (const CharBlock &that) const
bool | operator== (const CharBlock &that) const
bool | operator!= (const CharBlock &that) const
bool | operator>= (const CharBlock &that) const
bool | operator> (const CharBlock &that) const
bool | operator< (const char *that) const
bool | operator<= (const char *that) const
bool | operator== (const char *that) const
bool | operator!= (const char *that) const
bool | operator>= (const char *that) const
bool | operator> (const char *that) const

## Friends
bool | operator< (const char *, const CharBlock &)
bool | operator<= (const char *, const CharBlock &)
bool | operator== (const char *, const CharBlock &)
bool | operator!= (const char *, const CharBlock &)
bool | operator>= (const char *, const CharBlock &)
bool | operator> (const char *, const CharBlock &)

The documentation for this class was generated from the following file:

- include/flang/Parser/char-block.h